package cn.net.caoyao.cpzshandset.common.config;

import cn.net.caoyao.cpzshandset.R;

public enum HandsetOperation {
	/**
	 * 设置
	 */
	OPERATION_SETTING_CONSTANT(R.drawable.home_setting_icon,"设置",0),// 设置
	/**
	 * 激活
	 */
	OPERATION_ACTIVATE_CONSTANT(R.drawable.home_activate_icon,"激活",1),// 激活

	/**
	 * 打包
	 */
	OPERATION_PACK_CONSTANT(R.drawable.home_pack_icon,"打包",2),// 打包

	/**
	 * 拆包
	 */
	OPERATION_UNPACK_CONSTANT(R.drawable.home_unpack_icon,"拆包",3),// 拆包

	/**
	 * 入库
	 */
	OPERATION_IN_WAREHOUSE_CONSTANT(R.drawable.home_in_warehouse_icon,"入库",4),// 入库

	/**
	 * 出库
	 */
	OPERATION_OUT_WAREHOUSE_CONSTANT(R.drawable.home_out_warehouse_icon,"出库",5),// 出库
	/**
	 * 返库
	 */
	OPERATION_BACK_WAREHOUSE_CONSTANT(R.drawable.home_back_warehouse_icon,"返库",6),// 返库
	/**
	 * 销售
	 */
	OPERATION_SALE_CONSTANT(R.drawable.home_sale_icon,"销售",7),// 销售
	/**
	 * 查询
	 */
	OPERATION_QUERY_CONSTANT(R.drawable.home_search_icon,"查询",8),// 查询
	/**
	 * 养殖
	 */
	OPERATION_FARM_CONSTANT(R.drawable.home_farm_icon,"养殖",9),// 养殖
	/**
	 * 种植
	 */
	OPERATION_PLANT_CONSTANT(R.drawable.home_plant_icon,"种植",10),// 种植
	/**
	 * 火车发货
	 */
	OPERATION_TRAIN_SHIPMENT_CONSTANT(R.drawable.home_train_shipment_icon,"火车发货",11),// 火车发货
	/**
	 * 汽车发货
	 */
	OPERATION_TRUCK_SHIPMENT_CONSTANT(R.drawable.home_truck_shipment_icon,"汽车发运",12),// 汽车发货

	/**
	 * 提交状态
	 */
	OPERATION_UPLOAD_STATUS_CONSTANT(R.drawable.home_upload_status_icon,"提交状态",13),// 提交状态
	
	/**
	 * 上传
	 */
	OPERATION_UPLOAD_CONSTANT(R.drawable.home_upload_icon,"上传",14),// 上传
	/**
	 * 检测
	 */
	OPERATION_INSPECT_CONSTANT(R.drawable.home_inspect_icon,"检测",15),// 检测
	/**
	 * 调货
	 */
	OPERATION_EXCHANGE_CARGO_CONSTANT(R.drawable.home_sheep_exchange_cargo,"调货",16),// 调货
	/**
	 * 激活并打包
	 */
	OPERATION_ACTIVATE_WITH_PACK_CONSTANT(R.drawable.home_activate_with_pack_icon,"生产打包",17),// 激活打包
	/**
	 * 激活并打包
	 */
	OPERATION_ACTIVATE_WITH_RELATION_CONSTANT(R.drawable.home_relation_activate_icon,"套标激活",18),
	/**
	 * 标签检测
	 */
	OPERATION_CHECK_LABEL_STATUS_CONSTANT(R.drawable.home_check_label_status_icon,"标签检测",19),// 激活打包
	/**
	 * 专柜销售
	 */
	OPERATION_COUNTER_SALE_CONSTANT(R.drawable.home_counter_sale_icon,"专柜销售",20),// 专柜销售
	/**
	 * 退货
	 */
	OPERATION_RETURNED_GOODS_CONSTANT(R.drawable.home_returned_goods_icon,"退货",21),// 退货
	/**
	 * 基础数据同步
	 */
	OPERATION_DATA_SYNCHRONISM_CONSTANT(R.drawable.home_data_synchronism_icon,"数据同步",22),//基础数据同步
	/**
	 * 补垛
	 */
	OPERATION_REPLENISH_BING_CONSTANT(R.drawable.home_replenish_bing_icon,"补托",23),//补垛
	/**
	 * 组垛
	 */
	OPERATION_ORGANIZATION_BING_CONSTANT(R.drawable.home_organization_bing,"组托",24),//补垛organization
	/**
	 * 瓶盒关联
	 */
	OPERATION_PACK_BOTTLE_GIFTBOX_CONSTANT(R.drawable.home_pack_bottle_giftbox_icon,"瓶盒关联",25),//补垛organization
	/**
	 * 盒箱关联
	 */
	OPERATION_PACK_GIFTBOX_BOX_CONSTANT(R.drawable.home_pack_giftbox_box_icon,"盒箱关联",26),//补垛organization
	/**
	 * 校验瓶盒
	 */
	OPERATION_CHECK_BOTTLE_GIFTBOX_CONSTANT(R.drawable.home_check_bottle_giftbox_icon,"校验瓶盒",27),//补垛organization
	/**
	 * 校验盒箱
	 */
	OPERATION_CHECK_GIFTBOX_BOX_CONSTANT(R.drawable.home_check_giftbox_box_icon,"校验盒箱",28),
	/**
	 * 校验箱拖
	 */
	OPERATION_CHECK_BOX_TRAY_CONSTANT(R.drawable.home_check_box_tray_icon,"校验箱托",29),
	/**
	 * 单标激活
	 */
	OPERATION_DAN_ACTIVATE_CONSTANT(R.drawable.home_activate_icon,"单标激活",30),// 单标激活
	
	/**
	 * 批量激活
	 */
	OPERATION_PI_ACTIVATE_CONSTANT(R.drawable.home_activate_icon,"批量激活",31),// 批量激活
	/**
	 * 经销商出库
	 */
	OPERATION_DEALER_OUT_CONSTANT(R.drawable.home_truck_shipment_icon,"经销商出库",32);// 经销商出库
	
	
	
	private int option;
	private int resId;
	private String optionName;
	public int getOption() {
		return option;
	}
	public void setOption(int option) {
		this.option = option;
	}
	public String getOptionName() {
		return optionName;
	}
	public void setOptionName(String optionName) {
		this.optionName = optionName;
	}
	public int getResId() {
		return resId;
	}
	public void setResId(int resId) {
		this.resId = resId;
	}
	private HandsetOperation(int resId,String optionName,int option) {
		this.resId = resId;
		this.option = option;
		this.optionName = optionName;
	}

}
